Package org.apache.calcite.avatica

# Class MetaImpl.MetaTablePrivilege

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaTablePrivilege

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaTablePrivilege extends Object
Metadata describing a table privilege.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`grantee`
`final String`
`grantor`
`final String`
`isGrantable`
`final String`
`privilege`
`final String`
`tableCat`
`final String`
`tableName`
`final String`
`tableSchem`

## Constructor Summary

Constructors
Constructor
Description
`MetaTablePrivilege(String tableCat, String tableSchem, String tableName, String grantor, String grantee, String privilege, String isGrantable)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableCat

public final String tableCat

### tableSchem

public final String tableSchem

### tableName

public final String tableName

### grantor

public final String grantor

### grantee

public final String grantee

### privilege

public final String privilege

### isGrantable

public final String isGrantable

## Constructor Details

### MetaTablePrivilege

public MetaTablePrivilege(String tableCat, String tableSchem, String tableName, String grantor, String grantee, String privilege, String isGrantable)